VIMTUTOR(1)

NAMN
vimtutor Vim-handledaren

SYNOPSIS
vimtutor [-l | --language ISO639] [-c | --chapter NUMMER] [-g | --gui] [ISO639]
vimtutor [-h | --help]
vimtutor [--list]

BESKRIVNING
Vimtutor startar Vim -handledaren.

Vimtutor är användbart för personer som vill lära sig sina första Vim -kommandon. Det valfria argumentet [ISO639] är namnet på ett språk bestående av två eller tre bokstäver, till exempel "sv" eller "es".

Vimtutor öppnar endast tillfälliga kopior av de ursprungliga handledningsfilerna, så det finns ingen risk att lektionerna skrivs över.

Vim startas alltid i Vi nocompatible-läge.

FLAGGOR

-l, --language ISO639
    Ange språkkoden med två eller tre bokstäver. T.ex. 'sv', 'es', 'bar'. Standardinställningen är språket för den lokala inställningen om det finns tillgängligt, annars engelska.

-c, --chapter NUMMER
    Ställ in kapitelnummer. Standardinställningen är kapitel ett.

-g, --gui
    Starta vimtutor i grafiska gränssnittsversionen av vim om den är tillgänglig, annars faller du tillbaka till konsolversionen av vim.

-h, --help
    Visa användningsinformation.

--list
    Visa kapitel och språk.

EXEMPEL
För att starta vimtutor på tyska på kapitel ett:

    vimtutor de

På engelska i kapitel två:

    vimtutor -c2

Långt kommando för bayerska i grafiska gränssnittet i kapitel ett:

    vimtutor --language bar --chapter 1 --gui

FILER

/usr/local/share/vim/vim92/tutor/tutor1[.språk]
    Vimtutor, kapitel ett, textfil(er).

/usr/local/share/vim/vim92/tutor/tutor2[.språk]
    Vimtutor, kapitel två, textfil(er).

/usr/local/share/vim/vim92/tutor/tutor.vim
    Vim -skriptet som används för att kopiera Vimtutor -textfilen.

UPPHOVSPERSON
The Vi Tutorial skrevs ursprungligen för Vi av Michael C. Pierce och Robert K. Ware, Colorado School of Mines, med idéer från Charles Smith, Colorado State University. E-mail: bware@mines.colorado.edu (fungerar inte längre).

Modifierad för Vim, av Bram Moolenaar.

Översättningsbidragare listas i handledningsfilerna.

SE ÄVEN
vim(1)

SVENSK ÖVERSÄTTNING
Vim översattes ursprungligen av Johan Svedberg 2003-2007 och har under 2025 uppdaterats av Daniel Nylander, speciellt manualsidor samt själva Vim. Om du hittar fel i översättningen, kontakta <tp-sv@listor.tp-sv.se>.